al_fixhypot(3)

NAME

al_fixhypot - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    al_fixed al_fixhypot(al_fixed x, al_fixed y)

DESCRIPTION

Fixed point hypotenuse (returns the square root of x*x + y*y). This should be better than calculating the formula yourself manually, since the error is much smaller.